Zigbee binding

zigbee
beginners
Tags: #<Tag:0x00007fd3149ad9d8> #<Tag:0x00007fd3149ad6e0>

(orzech) #964
Error executing command: No matching features for esh-config-discovery-usbserial/0.0.0

(Chris Jackson) #965

Do you have the latest runtime? If not, it won’t work as this is a new feature.


(orzech) #966

Latest addons snapshot?
openhab2-addons 2.3.0~20180411031027-1


(Chris Jackson) #967

No - the latest runtime snapshot - not just the addons…


(orzech) #968

All updated to the latest:
ii openhab2 2.3.0~20180421001534-1 all openhab2
ii openhab2-addons 2.3.0~20180421001534-1 all openhab2-addons

Command works now, but error still occurs.


(Chris Jackson) #969

You mean the command to install the feature works, but the binding still doesn’t start?


(orzech) #970

Exactly, feature command works now, error occurs:

2018-04-22 09:50:14.636 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-persistence-mapdb, openhab-binding-exec, openhab-action-xmpp, openhab-misc-restdocs, openhab-ui-habpanel, openhab-binding-zigbee, openhab-transformation-map, openhab-ui-classic, openhab-binding-kodi, openhab-ui-habmin, openhab-transformation-xslt, openhab-transformation-exec, openhab-ui-paper, openhab-transformation-scale, openhab-binding-samsungtv, openhab-binding-milight, openhab-misc-market, openhab-transformation-javascript, openhab-binding-weather1, openhab-transformation-regex, openhab-transformation-jsonpath, openhab-binding-zwave, openhab-binding-mihome, openhab-transformation-xpath, openhab-persistence-rrd4j, openhab-ui-basic, openhab-action-mail, openhab-binding-astro': Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=openhab-binding-zigbee; type=karaf.feature; version="[2.3.0.SNAPSHOT,2.3.0.SNAPSHOT]"; filter:="(&(osgi.identity=openhab-binding-zigbee)(type=karaf.feature)(version>=2.3.0.SNAPSHOT)(version<=2.3.0.SNAPSHOT))" [caused by: Unable to resolve openhab-binding-zigbee/2.3.0.SNAPSHOT: missing requirement [openhab-binding-zigbee/2.3.0.SNAPSHOT] osgi.identity; osgi.identity=org.openhab.binding.zigbee.cc2531; type=osgi.bundle; version="[2.3.0.201804202151,2.3.0.201804202151]"; resolution:=mandatory [caused by: Unable to resolve org.openhab.binding.zigbee.cc2531/2.3.0.201804202151: missing requirement [org.openhab.binding.zigbee.cc2531/2.3.0.201804202151] osgi.wiring.package; filter:="(osgi.wiring.package=org.openhab.binding.zigbee.discovery)"]]

(Chris Jackson) #971

I suspect that there are some missing parts of the build at the moment. The error is it can’t resolve the cc2531 handler, but I think the build failed last night so probably you need to wait until this is resolved (hopefully this morning).


(orzech) #972

I’ve noticed something with ember and telegesis. Is it connected?

2018-04-22 09:53:13.896 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-persistence-mapdb, openhab-binding-exec, openhab-action-xmpp, openhab-misc-restdocs, openhab-ui-habpanel, openhab-binding-zigbee, openhab-transformation-map, openhab-ui-classic, openhab-binding-kodi, openhab-ui-habmin, openhab-transformation-xslt, openhab-transformation-exec, openhab-ui-paper, openhab-transformation-scale, openhab-binding-samsungtv, openhab-binding-milight, openhab-misc-market, openhab-transformation-javascript, openhab-binding-weather1, openhab-transformation-regex, openhab-transformation-jsonpath, openhab-binding-zwave, openhab-binding-mihome, openhab-transformation-xpath, openhab-persistence-rrd4j, openhab-ui-basic, openhab-action-mail, openhab-binding-astro': Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=openhab-binding-zigbee; type=karaf.feature; version="[2.3.0.SNAPSHOT,2.3.0.SNAPSHOT]"; filter:="(&(osgi.identity=openhab-binding-zigbee)(type=karaf.feature)(version>=2.3.0.SNAPSHOT)(version<=2.3.0.SNAPSHOT))" [caused by: Unable to resolve openhab-binding-zigbee/2.3.0.SNAPSHOT: missing requirement [openhab-binding-zigbee/2.3.0.SNAPSHOT] osgi.identity; osgi.identity=org.openhab.binding.zigbee.telegesis; type=osgi.bundle; version="[2.3.0.201804202151,2.3.0.201804202151]"; resolution:=mandatory [caused by: Unable to resolve org.openhab.binding.zigbee.telegesis/2.3.0.201804202151: missing requirement [org.openhab.binding.zigbee.telegesis/2.3.0.201804202151] osgi.wiring.package; filter:="(osgi.wiring.package=org.openhab.binding.zigbee.discovery)"]]

2018-04-22 09:54:13.925 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-persistence-mapdb, openhab-binding-exec, openhab-action-xmpp, openhab-misc-restdocs, openhab-ui-habpanel, openhab-binding-zigbee, openhab-transformation-map, openhab-ui-classic, openhab-binding-kodi, openhab-ui-habmin, openhab-transformation-xslt, openhab-transformation-exec, openhab-ui-paper, openhab-transformation-scale, openhab-binding-samsungtv, openhab-binding-milight, openhab-misc-market, openhab-transformation-javascript, openhab-binding-weather1, openhab-transformation-regex, openhab-transformation-jsonpath, openhab-binding-zwave, openhab-binding-mihome, openhab-transformation-xpath, openhab-persistence-rrd4j, openhab-ui-basic, openhab-action-mail, openhab-binding-astro': Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=openhab-binding-zigbee; type=karaf.feature; version="[2.3.0.SNAPSHOT,2.3.0.SNAPSHOT]"; filter:="(&(osgi.identity=openhab-binding-zigbee)(type=karaf.feature)(version>=2.3.0.SNAPSHOT)(version<=2.3.0.SNAPSHOT))" [caused by: Unable to resolve openhab-binding-zigbee/2.3.0.SNAPSHOT: missing requirement [openhab-binding-zigbee/2.3.0.SNAPSHOT] osgi.identity; osgi.identity=org.openhab.binding.zigbee.ember; type=osgi.bundle; version="[2.3.0.201804202151,2.3.0.201804202151]"; resolution:=mandatory [caused by: Unable to resolve org.openhab.binding.zigbee.ember/2.3.0.201804202151: missing requirement [org.openhab.binding.zigbee.ember/2.3.0.201804202151] osgi.wiring.package; filter:="(osgi.wiring.package=org.openhab.binding.zigbee.discovery)"]]

(Chris Jackson) #973

Yes - it’s the same. The build failed so the handlers weren’t built. All handlers are in any case required…


(orzech) #974

Can I disable this module somehow from console? Openhab don’t start.


(Chris Jackson) #975

I suspect that as the build is broken this needs to be resolved first :frowning: .


(orzech) #976

:confused:


(David Masshardt) #977

@chris Do you have any news regarding the performance issues when controlling more than 10 lamps?


(Chris Jackson) #978

Not at the moment. A transaction manager is something I’m planning and have some initial design work on, but it’s not currently being coded. I hope to be able to work on it soon…


(Roshan Milinda) #979

@chris is there a way to get one of HUSBZB-1 to NZ

if not is this the right Telegesis you talking about? (do I have to install any firmware on it to work or simply changing in the binding settings will work?)

Appreciate the help mate !
Cheers


(Chris Jackson) #980

I’m not sure - you could try Amazon, but I doubt they would deliver. I don’t think the US version will work in NZ for ZWave (although I haven’t checked, but I think NZ uses 868MHz rather than 915MHz).

Yes - that’s the correct one.

No - there’s nothing to do - just plug it in and configure the binding… :slight_smile: .

Cheers
Chris


(Weakfl) #981

@chris, has the default reporting interval been changed lately? It looks like reports are sent only once per hour. Sometimes the interval is even longer.


(Chris Jackson) #982

No - it’s not been changed for a while.

The default is 2 hours.


(Weakfl) #983

Ok, thanks. I thought it was still 10 minutes.

Any chance you can make it configurable? Or any plans to support polling in the near future?